Craigslist Posting
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-craigslist-postings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"posting": "2BsVfSUfZ3t4jqHF9sYzJL"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-craigslist-postings"
payload = { "posting": "2BsVfSUfZ3t4jqHF9sYzJL" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({posting: '2BsVfSUfZ3t4jqHF9sYzJL'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-craigslist-postings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "craigslist_postings",
"posting": "2BsVfSUfZ3t4jqHF9sYzJL",
"human": "# Craigslist posting\n\n- **Posting:** 2BsVfSUfZ3t4jqHF9sYzJL\n- **Proxy traffic:** 2.3 KB\n- **Title:** Apple Magic Mouse 2 (Model A1657) Wireless Bluetooth + Cable\n- **Price:** $30\n- **Location:** peninsula, SF bay area\n- **Category:** electronics - by owner\n- **Posted:** 2026-09-30T07:57:00.000Z",
"machine": {
"posting": {
"id": "2BsVfSUfZ3t4jqHF9sYzJL",
"posting_id": 7975325586,
"posting_title": "Apple Magic Mouse 2 (Model A1657) Wireless Bluetooth + Cable",
"url": "https://www.craigslist.org/view/d/pacifica-apple-magic-mouse-model-a1657/2BsVfSUfZ3t4jqHF9sYzJL",
"section": "for_sale",
"category": "electronics - by owner",
"category_id": 96,
"category_alias": "ele",
"price": 30,
"price_string": "$30",
"description": "Selling an authentic Apple Magic Mouse 2 (Model A1657) with built-in rechargeable battery and Multi-Touch surface.\n\nModel: Apple Magic Mouse 2 (A1657 / MLA02LL/A)\n\nFeatures: Wireless Bluetooth connect",
"body_html": "Selling an authentic Apple Magic Mouse 2 (Model A1657) with built-in rechargeable battery and Multi-Touch surface. <br>\n<br>\nModel: Apple Magic Mouse 2 (A1657 / MLA02LL/A) <br>\n<br>\nFeatures: Wire",
"created_at": 1790755020,
"updated_at": 1790754780,
"has_contact_info": true,
"has_other_postings": false,
"is_open_to_recruiters": null,
"company": null,
"repost_of_id": null,
"location": {
"area_id": 1,
"area_alias": "sfbay",
"subarea_alias": "pen",
"description": "Pacifica",
"neighborhood": null,
"lat": 37.5902,
"lon": -122.4768,
"area_code": "sfo",
"area": "SF bay area",
"subarea": "peninsula",
"address": null,
"full_address": null,
"location_type": "area"
},
"image": "https://images.craigslist.org/00t0t_7GNxCOqiva5_0t20CI_600x450.jpg",
"images": [
"https://images.craigslist.org/00t0t_7GNxCOqiva5_0t20CI_600x450.jpg",
"https://images.craigslist.org/00U0U_7KWh8rxDWPP_0CI0n0_600x450.jpg"
],
"image_count": 4,
"attributes": [
{
"key": "condition",
"label": "condition",
"value": "excellent",
"special_type": "key_value",
"search_filters": {
"condition": "30"
}
},
{
"key": "sale_manufacturer",
"label": "make / manufacturer",
"value": "Apple",
"special_type": "key_value",
"search_filters": null
}
],
"vin_specs": []
},
"proxy_traffic_bytes": 2339
},
"total_points": 5
}E-commerce & Marketplaces
Craigslist Posting
Full Craigslist posting by id or URL: title, price, body text/HTML, category attributes with matching search filters, decoded VIN spec for vehicles, hiring company for jobs, images, location and dates. Flat 5 points per successful run.
POST
/
functions
/
v1
/
run-craigslist-postings
Craigslist Posting
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Posting ID (22 characters) or URL. e.g. 2BsVfSUfZ3t4jqHF9sYzJL
Response
Run completed.